Skip to main content
GET
/
v2
/
search
/
content
Search Through Text Content
curl --request GET \
  --url 'https://api.example.com/v2/search/content?api_key='
import requests

url = "https://api.example.com/v2/search/content?api_key="

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/v2/search/content?api_key=', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "content_request_id": "<string>",
  "links": [
    {
      "title": "<string>",
      "description": "<string>",
      "page_url": "<string>",
      "type": "content_link",
      "image_url": "<string>",
      "highlights": [
        {
          "field": "<string>",
          "snippet": "<string>",
          "matched_tokens": [
            "<string>"
          ]
        }
      ]
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}
This page does not apply to installs made in 2025 or later of the Depict Shopify apps

Authorizations

api_key
string
query
required

Query Parameters

tenant
string
required
market
string
required
locale
string | null
query
string | null
user_id
string | null
Minimum string length: 1
session_id
string | null
Minimum string length: 1
dsid
string | null
Minimum string length: 1

Response

Successful Response

content_request_id
string
required

List of links to content pages that match the search query.